Microsoft Windows 'DirectWrite' API CVE-2019-1127 Remote Code Execution Vulnerability

2019-07-09T00:00:00
ID SMNTC-108942
Type symantec
Reporter Symantec Security Response
Modified 2019-07-09T00:00:00

Description

Description

Microsoft Windows is prone to a remote code-execution vulnerability. An attacker can leverage this issue to execute arbitrary code in the context of the currently logged-in user. Failed exploit attempts will likely result in denial of service conditions.

Technologies Affected

  • Microsoft Windows 10 Version 1709 for ARM64-based Systems
  • Microsoft Windows 10 Version 1803 for 32-bit Systems
  • Microsoft Windows 10 Version 1803 for ARM64-based Systems
  • Microsoft Windows 10 Version 1803 for x64-based Systems
  • Microsoft Windows 10 Version 1809 for 32-bit Systems
  • Microsoft Windows 10 Version 1809 for ARM64-based Systems
  • Microsoft Windows 10 Version 1809 for x64-based Systems
  • Microsoft Windows 10 Version 1903 for 32-bit Systems
  • Microsoft Windows 10 Version 1903 for ARM64-based Systems
  • Microsoft Windows 10 Version 1903 for x64-based Systems
  • Microsoft Windows 10 version 1709 for 32-bit Systems
  • Microsoft Windows 10 version 1709 for x64-based Systems
  • Microsoft Windows Server 1803
  • Microsoft Windows Server 1903
  • Microsoft Windows Server 2019

Recommendations

Block external access at the network boundary, unless external parties require service.
If global access isn't needed, block access at the network perimeter to computers hosting the vulnerable operating system.

Deploy network intrusion detection systems to monitor network traffic for malicious activity.
Deploy NIDS to monitor network traffic for signs of anomalous or suspicious activity such as unexplained incoming and outgoing traffic. This may indicate exploit attempts or activity that results from successful exploits.

Communicate sensitive information through secure means.
Implement multiple layers of encryption and authentication to help mitigate against exposure from this and other latent vulnerabilities.

Updates are available. Please see the references or vendor advisory for more information.